Loading...
Searching...
No Matches
sign.c File Reference
`#include <grass/datetime.h>`
Include dependency graph for sign.c:

Go to the source code of this file.

## Functions

int | datetime_is_positive (const DateTime *dt)
| Returns: 1 if the Datetime is positive 0 otherwise.
int | datetime_is_negative (const DateTime *dt)
| Returns: 1 if the DateTime is negative 0 otherwise.
void | datetime_set_positive (DateTime *dt)
| Makes the DateTime positive. (A.D. for ABSOLUTE DateTimes).
void | datetime_set_negative (DateTime *dt)
| Makes the DateTime negative. (B.C. for ABSOLUTE DateTimes).
void | datetime_invert_sign (DateTime *dt)

## Function Documentation

## datetime_invert_sign()

void datetime_invert_sign | ( | DateTime * | dt | ) |

Parameters

  dt |

Returns
  void

Definition at line 71 of file sign.c.

Referenced by datetime_change_timezone(), and datetime_difference().

## datetime_is_negative()

int datetime_is_negative | ( | const DateTime * | dt | ) |

Returns: 1 if the DateTime is negative 0 otherwise.

Parameters

  dt |

Returns
  int

Definition at line 34 of file sign.c.

Referenced by datetime_format().

## datetime_is_positive()

int datetime_is_positive | ( | const DateTime * | dt | ) |

Returns: 1 if the Datetime is positive 0 otherwise.

Parameters

  dt |

Returns
  int

Definition at line 19 of file sign.c.

Referenced by datetime_check_day().

## datetime_set_negative()

void datetime_set_negative | ( | DateTime * | dt | ) |

Makes the DateTime negative. (B.C. for ABSOLUTE DateTimes).

Parameters

  dt |

Returns
  void

Definition at line 60 of file sign.c.

## datetime_set_positive()

void datetime_set_positive | ( | DateTime * | dt | ) |

Makes the DateTime positive. (A.D. for ABSOLUTE DateTimes).

Parameters

  dt |

Returns
  void

Definition at line 47 of file sign.c.